summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
authorArch Librarian <arch@canonical.com>2005-07-14 13:05:08 +0000
committerArch Librarian <arch@canonical.com>2005-07-14 13:05:08 +0000
commit93a3b8fafe1a3f240aa0cf4e2681271fb12b3188 (patch)
tree7058d8feb561b4d3a992b7c022bc3f00bf2bbf9d /autogen.sh
parenta7bb0b431d81267981d5b75fa415db21f920825c (diff)
downloadpkg-config-93a3b8fafe1a3f240aa0cf4e2681271fb12b3188.tar.gz
try to use old autoconf if it's installed
Author: hp Date: 2002-07-25 03:52:37 GMT try to use old autoconf if it's installed
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh17
1 files changed, 13 insertions, 4 deletions
diff --git a/autogen.sh b/autogen.sh
index 784e29f..ab5a9f9 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -13,7 +13,16 @@ FILE=pkg.m4
DIE=0
-(autoconf --version) < /dev/null > /dev/null 2>&1 || {
+AUTOCONF=autoconf-2.13
+AUTOHEADER=autoheader-2.13
+
+($AUTOCONF --version) < /dev/null > /dev/null 2>&1 || {
+ AUTOCONF=autoconf
+ AUTOHEADER=autoheader
+}
+
+
+($AUTOCONF --version) < /dev/null > /dev/null 2>&1 || {
echo
echo "You must have autoconf installed to compile $PROJECT."
echo "Download the appropriate package for your distribution,"
@@ -62,7 +71,7 @@ perl -p -i.bak -e "s/man_MANS/noinst_MANS/g" `find glib-1.2.8 -name Makefile.am`
## patch gslist.c to have stable sort
perl -p -w -i.bak -e 's/if \(compare_func\(l1->data,l2->data\) < 0\)/if \(compare_func\(l1->data,l2->data\) <= 0\)/g' glib-1.2.8/gslist.c
-(cd glib-1.2.8 && libtoolize --copy --force && $ACLOCAL $ACLOCAL_FLAGS && $AUTOMAKE && autoconf)
+(cd glib-1.2.8 && libtoolize --copy --force && $ACLOCAL $ACLOCAL_FLAGS && $AUTOMAKE && $AUTOCONF)
if test -z "$*"; then
echo "I am going to run ./configure with no arguments - if you wish "
@@ -75,10 +84,10 @@ echo $ACLOCAL $ACLOCAL_FLAGS
$ACLOCAL $ACLOCAL_FLAGS
# optionally feature autoheader
-(autoheader --version) < /dev/null > /dev/null 2>&1 && autoheader
+($AUTOHEADER --version) < /dev/null > /dev/null 2>&1 && $AUTOHEADER
$AUTOMAKE -a $am_opt
-autoconf
+$AUTOCONF
cd $ORIGDIR